#include <bits/stdc++.h>
#include <fstream>
using namespace std;
int main ()
{
	ifstream f("demduong.inp");
    int n,i,tong=0,dem=0;
    int a[10000];
    f>>n;
    for (i=1;i<=n;i++)
    {
    	f>>a[i];
    }
    f.close();
    ofstream f1("demduong.out");
    for (i=1;i<=n;i++)
    {
    	if (a[i]>0)
    	{
    		tong=tong+a[i];
    		dem++;
		}
    }
    f1<<dem<<' '<<tong;
    f1.close();
}
